## Bulk edit per-operation schema validation settings `client.schemaValidation.settings.operations.bulkEdit(OperationBulkEditParamsparams, RequestOptionsoptions?): OperationBulkEditResponse` **patch** `/zones/{zone_id}/schema_validation/settings/operations` Updates schema validation settings for multiple API operations in a single request. Efficient for applying consistent validation rules across endpoints. ### Parameters - `params: OperationBulkEditParams` - `zone_id: string` Path param: Identifier. - `body: Record` Body param - `mitigation_action?: "none" | "log" | "block" | null` Mitigation actions are as follows: * `log` - log request when request does not conform to schema * `block` - deny access to the site when request does not conform to schema * `none` - skip running schema validation * null - clears any existing per-operation setting - `"none"` - `"log"` - `"block"` ### Returns - `OperationBulkEditResponse = Record` Operation ID to per operation setting mapping - `mitigation_action: "log" | "block" | "none"` When set, this applies a mitigation action to this operation which supersedes a global schema validation setting just for this operation - `"log"` - log request when request does not conform to schema for this operation - `"block"` - deny access to the site when request does not conform to schema for this operation - `"none"` - will skip mitigation for this operation - `"log"` - `"block"` - `"none"` - `operation_id: string` UUID. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.schemaValidation.settings.operations.bulkEdit({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', body: { '3818d821-5901-4147-a474-f5f5aec1d54e': {}, 'b17c8043-99a0-4202-b7d9-8f7cdbee02cd': {}, }, }); console.log(response); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "foo": { "mitigation_action": "block", "operation_id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415" } }, "success": true } ```